package com.gic.haoban.manage.web.vo.content.statistics;

import com.gic.mall.api.dto.wxapp.Page;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Author MUSI
 * @Date 2023/3/23 10:44 AM
 * @Description
 * @Version
 **/
public class MaterialUsedAnalyzeVO implements Serializable {

    private static final long serialVersionUID = 2812548946909489908L;

    /**
     * 素材概览数据
     */
    private MaterialDataOverview materialDataOverview;

    /**
     * 素材概览
     */
    public static class MaterialDataOverview {

        /**
         * 日均使用素材导购数
         */
        private Integer dayAvgUseMatlNum;

        /**
         * 日均导购使用占比
         */
        private BigDecimal dayAvgUseRate;

        /**
         * 点击客户数
         */
        private Integer clickUserNum;

        /**
         * 转化客户数
         */
        private Integer convUserNum;

        /**
         * 客户转化金额
         */
        private BigDecimal convSalesNmt;

        public Integer getDayAvgUseMatlNum() {
            return dayAvgUseMatlNum;
        }

        public void setDayAvgUseMatlNum(Integer dayAvgUseMatlNum) {
            this.dayAvgUseMatlNum = dayAvgUseMatlNum;
        }

        public BigDecimal getDayAvgUseRate() {
            return dayAvgUseRate;
        }

        public void setDayAvgUseRate(BigDecimal dayAvgUseRate) {
            this.dayAvgUseRate = dayAvgUseRate;
        }

        public Integer getClickUserNum() {
            return clickUserNum;
        }

        public void setClickUserNum(Integer clickUserNum) {
            this.clickUserNum = clickUserNum;
        }

        public Integer getConvUserNum() {
            return convUserNum;
        }

        public void setConvUserNum(Integer convUserNum) {
            this.convUserNum = convUserNum;
        }

        public BigDecimal getConvSalesNmt() {
            return convSalesNmt;
        }

        public void setConvSalesNmt(BigDecimal convSalesNmt) {
            this.convSalesNmt = convSalesNmt;
        }
    }

    public MaterialDataOverview getMaterialDataOverview() {
        return materialDataOverview;
    }

    public void setMaterialDataOverview(MaterialDataOverview materialDataOverview) {
        this.materialDataOverview = materialDataOverview;
    }
}
